/// <reference types="react" />
interface Options {
    pitch?: number;
    rate?: number;
    volume?: number;
}
declare const useTextToVoice: <T extends HTMLElement>({ pitch, rate, volume }?: Options) => {
    speak: () => void;
    pause: () => void;
    resume: () => void;
    voices: string[];
    setVoice: (voiceName: string) => void;
    ref: import("react").RefObject<T>;
    utterance: SpeechSynthesisUtterance | null;
    isSpeaking: boolean;
};
export default useTextToVoice;
